CATGETS(3)

NAME
catgets - get message from a message catalog

SYNOPSIS

#include <features.h>
#include <nl_types.h>

char *catgets(catalog, set_number, message_number, message)
nl_catd catalog;
int set_number;
int message_number;
char *message;

DESCRIPTION

catgets() reads the message message_number, in set set_number, from the message catalog identified by catalog. catalog is a catalog descriptor returned from an earlier call to catopen(3). The fourth argument message points to a default message string which will be returned by catgets() if the identified message catalog is not currently open, or damaged. The message-text is contained in an internal buffer area and should be copied by the application if it is to be saved or modified. The return string is always terminated with a null byte.

RETURN VALUES

On success, catgets() returns a pointer to an internal buffer area containing the null-terminated message string. catgets() returns a pointer to message if it fails because the message catalog specified by catalog is not currently open. Otherwise, catgets() returns a pointer to an empty string if the message catalog is available but does not contain the specified message.

NOTES
These functions are only available in libc.so.4.4.4c and above.

SEE ALSO
catopen(3), setlocale(3)